Bug 1228676 - Allocated buffer in key and value converter should be released
Summary: Allocated buffer in key and value converter should be released
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: 6.5.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
: 1276043 (view as bug list)
Depends On:
Blocks: 1235578 1248999
TreeView+ depends on / blocked
 
Reported: 2015-06-05 12:39 UTC by Vojtech Juranek
Modified: 2022-05-31 22:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Hot Rod decoder was not reporting all errors produced, resulting in a combination of errors not being logged and byte buffers being leaked as these errors accumulated. As these buffers grew they could potentially cause OutOfMemory errors. This issue is resolved as of Red Hat JBoss Data Grid 6.5.1, as the Hot Rod decoder extends a different Netty decoder that handles all potential failures.
Clone Of:
: 1248999 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5523 0 Major Resolved Enabling eager caching can lead to sever throwing "OutOfMemoryError: Direct buffer memory" 2019-03-19 09:08:37 UTC
Red Hat Issue Tracker ISPN-5576 0 Major Resolved Use MessageToByteEncoder to avoid ByteBuf leak w/ exceptions 2019-03-19 09:08:37 UTC
Red Hat Issue Tracker ISPN-5581 0 Major Resolved "scala.MatchError: None" in HotRodEncoder 2019-03-19 09:08:37 UTC

Description Vojtech Juranek 2015-06-05 12:39:00 UTC
https://issues.jboss.org/browse/ISPN-5523

Comment 2 JBoss JIRA Server 2015-06-05 14:09:41 UTC
Galder Zamarreño <galder.zamarreno> updated the status of jira ISPN-5523 to Coding In Progress

Comment 6 Galder Zamarreño 2015-08-03 11:49:03 UTC
Integrated already, why is this open? Assigning to Sebastian since he's been handling the port.

Comment 7 wfink 2015-10-28 13:48:52 UTC
*** Bug 1276043 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.